The forum

POL ne trouve pas la 3D !?

Author Replies
Sp Monday 10 December 2007 at 21:59
SpAnonymous

Bonsoir,

(Bon, on va faire comme dans le post "Comment poster proprement" )
Voici déjà ma configuration actuelle :
Nom de la distribution (ainsi que sa version)
- Debian Lenny (Testing) / Noyau 2.6.22-3
- Gnome 2.20.2
- Wine 0.9.44
- PlayOnLinux 1.8
- ATI HD2900XT

Comme je vous vois perplexe, voici quelques explications (encore heureux ) :
- Je suis sous Debian Lenny car seule cette version supporte le chipset Intel P35 (la distribution stable ne connaît pas cette génération de chipset))
- J'ai installé les pilotes propriétaires ATI en version 7.11(les plus récents donc) sans problèmes, le test fgl_glxgears me retourne environ 3600 fps
- J'ai installé POL 1.8 car je ne suis pas arrivé à trouvé un dépôt pour python-wxgtk2.8

Et maintenant le problème (qui a dit enfin ) :
Je lance POL, celui-ci m'affiche le message suivant :
ATTENTION : Il semblerait que l'accélération 3D ne soit pas activée !
Nous vous conseillons fortement de régler ce problème

Je valide en me disant que cela va peut-être passé (c'est beau l'espoir ), un nouveau message pour me dire que la version 2.0.3 est disponible.
Je lance Guild Wars (car c'est ce jeu que je souhaite lancer).
J'arrive sans problème à précharger Guild Wars, mais au moment d'afficher la page d'accueil (compte/mot de passe) la résolution passe en 1024x768, le pointeur du bureau devient celui de Guild Wars et puis ... plus rien !
Obligé de faire un ALT+TAB et de tuer le jeu...

Donc, il semblerait que la 3D n'a pas été détectée par POL et je ne vois pas quoi faire pour résoudre le problème ?

Y aurait-il une âme charitable pour m'aider à débloquer la situation ?

Edited by Sp@rK

Quentin PÂRIS Monday 10 December 2007 at 22:01
Quentin PÂRIS
Admin

Oups le smileys sunglasses marche pas... Goku !!!

Bref, pour ton problème install le paquet "mesa-utils"
Sp Monday 10 December 2007 at 22:05
SpAnonymous

Non Il marche, c'est ma parenthèse qui était mal placée...

J'installe et je rappelle dès qu'il y a du nouveau (j'ai refait une installation propre de wine et POL, donc télécharger à nouveau Guild Wars)
Quentin PÂRIS Monday 10 December 2007 at 22:06
Quentin PÂRIS
Admin

Ah me voilà rassuré

Déjà tu n'auras plus le message d'accélération 3D la... (Comment ça il faut que je le refasse ? )

Ensuite pour Guild Wars tu pourras tester différentes versions de wine avec le menu expert. A commencer par la 0.9.37
Sp Monday 10 December 2007 at 22:57
SpAnonymous

Bon,
installation de mesa-utils -> Plus de message problème 3D (comme tu dis )

Téléchargement terminé des fichiers de Guild Wars ...
Même symptômes que précédemment !

La version 0.9.37 de wine ne réagit pas mieux...
La version 0.9.43 non plus ...
La version 0.9.49 non plus ...

J'ai essayé de tester les versions de la base de donnée de WineHQ, sans résultat

PS : j'ai suivi la procédure suivante :
- Mode Expert
- WineVersions
- Installer (ex : 0.9.49)
> POL installe la version de wine et se relance
- Mode Expert
- WineVersions
- Assigner
> Je choisis GuildWars, puis la version installée
- Mode Expert
- UpdatePrefixe (Fallait pas ?)
> Je choisis GuildWars
- Lancer
> Je choisis GuildWars

Et la suite vous connaissez ...

Edited by Sp@rK

Sp Wednesday 12 December 2007 at 11:13
SpAnonymous

Je suis allé sur le site de wine, et il y est indiqué que la version 0.9.44 fonctionne correctement avec Lenny.

Après avoir désinstallé PlayOnLinux, j'ai suivi leur HowTo. Malgré cela, le résultat n'est pas meilleurs (je n'ai plus le changement de résolution)

J'ai utilisé cette commande pour lancer le jeu :
WINEDEBUG=-all env WINEPREFIX="/home/spark/.wine" wine "C:\Program Files\GUILD WARS\Gw.exe" -dsound - >/dev/null 2>&1

J'ai relancé en mode DEBUG, mais je me retrouve avec un fichier de 1,9 Mio :arrow: wine.log
J'ai enlevé une partie des erreurs au milieu qui se répétaient.

Après moult essais, j'ai purgé l'installation de wine et tout remis à zéro.

J'ai installé PlayOnLinux2.0.3 (acronyme : POL), mais celui-ci avait besoin de python-wxgtk2.8

J'ai fini par retrouvé le Repository pour installer python-wxgtk2.8, je remet l'adresse si quelqu'un le cherche :

# wxWidgets/wxPython repository at apt.wxwidgets.org
deb http://apt.wxwidgets.org/ DIST-wx main
deb-src http://apt.wxwidgets.org/ DIST-wx main

Quote


et les paquets à installer :

python-wxgtk2.8 python-wxtools python-wxaddons wx2.8-i18n

Quote


J'ai alors tenté l'installation de Guild Wars : POL télécharge alors wine en version 0.9.46 (version qui conviendrait ?) Plein d'espoir, je copie le fichier gw.dat (oui, 4Gio à télécharger à chaque fois c'est une éternité ) au bon endroit.

Je lance Guild Wars et ... replantage.

Par pitié pour les quelques cheveux qui ont résisté à l'arrachage , que dois-je faire pour que ca marche ??
Aymeric P. Wednesday 12 December 2007 at 17:12
Aymeric P.
Admin

Salut,
Essaye de lancer GW en mode fenêtrer,
playonlinux --run "Guild Wars" -windowed

Si ta carte est prise en charge par une version plus vieille des drivers tu peux essayer de retrograder (chez mois Guild Wars ne fonctionne plus avec les 8.41 ++ )

Former member.